package com.bcxin.tenant.open.domains.services;

import com.bcxin.tenant.open.domains.services.commands.*;

public interface RoomService {
    CreateRoomCommandResponse dispatch(CreateRoomCommand command);

    InviteRoomUserCommandResponse dispatch(InviteRoomUserCommand command);

    void dispatch(CloseRoomCommand command);

    void dispatch(RemoveUserCommand command);

}
